



function parseCommandLine(str){
	var res=str.match(/(".+?("|$)|[^ @]+)/g);
	if(res){
		for(var i=0;i<res.length;i++){
			res[i]=res[i].replace(/^\+/,'').replace(/^"(.*)"$/,'$1');
		}
	}
	return(res);
}
basedir=parseCommandLine(HTA.commandLine)[0].replace(/bin\\[^\\]*$/,'');

function init(){
	var now=new Date();
	bm=getBBSMenu();
	jobs=[];
	jobsUpdated=false;
	$('WaitTime').value=[now.getFullYear(),(now.getMonth()+1).format(2),now.getDate().format(2)].join("/")+' '+[now.getHours().format(2),now.getMinutes().format(2),now.getSeconds().format(2)].join(':');
	$('ThreadURL').value=parseCommandLine(HTA.commandLine)[1]||'';
	setTimeout("checkJobs()",1000);
}




function submit(){
	var thread=Thread.fromURL($('ThreadURL').getValue());
	var bbs=thread.bbs;
	var maxLines=Math.min($('SplitMaxLines').getValue(),bbs.getMaxMessageLines());
	var message=$('Message').getValue();
	var job;
	if($('ReplaceHTTP').checked){
		message=message.replace(/http:\/\//ig,$('ReplaceHTTPText').getValue());
	}
	
	if($('RequestSurrogate').checked){
		thread.getRes();
		var obj={
			BBSName:thread.bbs.title,
			ThreadTitle:thread.title,
			ThreadURL:thread.url,
			Name:$('Name').getValue(),
			Mail:$('Mail').getValue(),
			Message:message
		};
		job={
			name:Config.SurrogateRequest.Name,
			mail:Config.SurrogateRequest.Mail,
			message:Config.SurrogateRequest.Message.replace(/%(\w+)%/g,function($0,$1){return(($1 in obj)?obj[$1]:$0);}),
			thread:bm.findThreads(Config.Surrogate.BBS,Config.Surrogate.Thread)[0],
			time:0
		};
	}else{
		job={
			name:$('Name').getValue(),
			mail:$('Mail').getValue(),
			message:message,
			thread:thread,
			time:0
		};
		if($('AvoidNumber').checked){
			job.avoidNumbers=$('AvoidNumbers').getValue().split(/,/);
		}
		if($('WaitModeDate').checked){
			String($('WaitTime').getValue()).replace(/(\d{4}).*(\d{1,2}).*(\d{1,2}).*(\d{1,2}).*(\d{1,2}).*(\d{1,2})/,function($0,y,m,d,h,n,s){
				job.time=(new Date(y,m,d,h,n,s)).getTime();
			});
		}else if($('WaitModeNumber').checked){
			job.number=$('WaitNumber').getValue()*1;
		}else{
			job.time=(new Date()).getTime()+$('WaitSeconds').getValue()*1000;
		}
		
		var splitter=$('Splitter').getValue();
		var splitted=message.split(new RegExp("\\r?\\n"+splitter+"\\r?\\n"));
		var joined='';
		var splitted2=[];
		while(splitted.length){
			if((joined+"\n"+splitted[0]).split(/\n/).length>=maxLines){
				splitted2.push(joined);
				joined=splitted.shift();
			}else{
				joined=joined+"\n"+splitter+"\n"+splitted.shift();
			}
		}
		splitted2.push(joined);
		if(splitted2.length>1){
			job.splitMessages=splitted2;
			job.splitCount=splitted2.length;
			job.splitNext=0;
			job.splitIndex=$('SplitIndex').checked;
			job.splitInterval=$('SplitInterval').getValue()*1000;
		}
	}
	if(!job.thread.bbs.nextWritable){
		job.thread.bbs.nextWritable=(new Date()).getTime()+job.thread.bbs.getWriteInterval()+2000;
	}
	job.time=Math.max(job.time,job.thread.bbs.nextWritable);
	jobs.push(job);
	updateJobs();
}


function cancel(){
	jobs[getSelectedJob()].canceled=true;
	updateJobs();
}


function getSelectedJob(){
	return($('JobList').selectedIndex);
}
function setSelectedJob(idx){
	$('JobList').selectedIndex=idx;
}

function updateJobs(){
	var sel=getSelectedJob();
	var html='<select size="6"  style="width:440px;height:6em" id="JobList">';
	for(var i=0,l=jobs.length;i<l;i++){
		html+='<option>'+getJobState(jobs[i])+'</option>';
	}
	$('JobListContainer').update(html+'</select>');
	if(sel>=0){
		setSelectedJob(sel);
	}
}

function getJobState(job){
	var msg=job.message.split(/[\\n\r]+/).join(' ').truncate(64);
	if(job.splitCount){
		msg='('+job.splitNext+'/'+job.splitCount+') '+msg;
	}
	if(job.done){
		return(':'+msg);
	}else if(job.canceled){
		return('LZ:'+msg);
	}else if(job.number){
		return(job.number+'Ԃ_('+job.currentNumber+'):'+msg);
	}else{
		return('ҋ@('+Math.ceil((job.time-(new Date()).getTime())/1000)+'b): '+msg);
	}
}

function checkJobs(){
	updateJobs();
	for(var i=0,l=jobs.length;i<l;i++){
		checkJob(jobs[i]);
	}
	setTimeout("checkJobs()",1000);
}

function checkJob(job){
	if(job.done||job.canceled){
		return;
	}
	if(Math.max(job.thread.bbs.nextWritable,job.time)<(new Date()).getTime()){
		var r=job.thread.getRes(true);
		var next=r.length+1;
		if(job.number){
			if(job.number<next){
				job.canceled=true;
				jobsUpdated=true;
				return;
			}else if(next<job.number){
				job.time=(new Date()).getTime()+4000;
				job.currentNumber=r.length;
				return;
			}
		}
		if(job.avoidNumbers){
			for(var i=0,a=job.avoidNumbers,l=a.length;i<l;i++){
				if((r.length+1)==a[i]){
					job.time=(new Date()).getTime()+10000;
					return;
				}
			}
		}
		executeWrite(job);
	}
}



function executeWrite(job){
	var name,message;
	if(job.splitCount){
		message=job.splitMessages[job.splitNext];
		job.splitNext++;
		if(job.splitIndex){
			name=job.name+' ('+job.splitNext+'/'+job.splitCount+')';
		}else{
			name=job.name;
		}
		if(job.splitNext<job.splitCount){
			job.time=(new Date()).getTime()+job.splitInterval;
		}else{
			job.done=true;
		}
	}else{
		name=job.name;
		message=job.message;
		job.done=true;
	}
//	alert([job.thread.url,job.name,job.mail,job.message].join("\n"));
	job.thread.write(job.name,job.mail,job.message);
	job.thread.bbs.nextWritable=(new Date()).getTime()+job.thread.bbs.getWriteInterval()+2000;
}




















