({
	//※重要！！！ファイルパスなどの文字列中の「\」は「\\」に置き換えること
	
	//ログ保存フォルダの起点。記述例:「LogDir:"C:\\Program Files\\JaneStyle\\logs\\2ch\\",」
	LogDir:basedir,
	
	//板のログフォルダのパスの書式。以下の物が置換されて実際のパスになる
	//	%Category%		掲示板のカテゴリ
	//	%BBSName%		掲示板のbbsmenu上の名前
	//	%BBSURLName%	掲示板URLの名前部分
	//	%BBSServer%		掲示板URLのサーバ部分
	//	%BBSURL%		掲示板URLをURLエンコードしたもの
	//Jane系などは初期設定の「'%Category%\%BBSName%'」
	//V2C、chaika、ホットゾヌなどは「'%BBSURLName%'」
	//Live2ch、Aboneなどは「'%BBSServer%\%BBSURLName%'」
	LogPathFormat:'%Category%\\%BBSName%',
	
	BBSMenu:'http://menu.2ch.net/bbsmenu.html',
	
	BBS:[
		/***掲示板巡回設定***/
		
		
		
		/*********このブロックの「{」から「},」までをコピーして、この行の上へ貼り付け
		{
			//対象掲示板名、URLの名前部分、URL全体のどれか
			BBSName:'',
			
			//ログを保存するスレッドタイトルの条件
			//「,」で区切って複数記述可能(例:「['Jane','Firefox']」
			SaveThreadKeyword:[],
			
			//上記に一致しても、下記に一致する場合は無視
			NoSaveThreadKeyword:[],
			
			//ログを保存する最小のレス数
			MinCount:10,
			
			//スレが立ってからこの日数以上経過しているスレは、
			//SaveThreadPatternに一致しても保存しない
			MaxExpire:400,
			
			//専ブラなどでログを取得したことのあるスレッドは、
			//SaveThreadPattern/MaxExpireに関係なく新着レスを保存する
			//(trueで有効、falseで無効)
			SaveAccessedThread:true,
			
			//祭り指数ランキングを生成する
			EnableTrendRanking:false,
			
			//祭りスレランキングにランクインしたスレッドのログを無条件に保存する
			SaveTrendThread:true,
			
			//祭り指数がこの値以下のスレはランキングに表示しない
			TrendThreshold:0.5,
			
			//祭り指数ランキングの表示件数上限
			TrendMaxCount:30,
			
			//「祭り指数」を算出する式
			//	speed					スレッドの最近のレス頻度(1日のレス数)
			//	avgSpeed				スレッドの開始時からのレス頻度
			//	acceleration			speed/avgSpeed
			//	bbs.totalSpeed			掲示板全体のレス頻度
			//	bbs.avgSpeed			掲示板の各スレのレス頻度平均
			TrendLevelExpression:'(speed/ bbs.avgSpeed)*acceleration '
			
		},
		*************************/
		
		{end:1}
	],
	
	Notification:{
		//通知を保存した疑似スレッドを開くプログラムのパス
		BrowserPath:'',
		
		//疑似スレッドを作成する掲示板の名前、URLの名前部分、URL全体のどれか
		NotifyThreadBBS:'bbynews',
		
		//通知スレッドに表示する行数の上限
		NotifyThreadMaxLines:10,
		
		//trueにすると、巡回している掲示板の新スレを通知
		NewThread:false,
		
		Rule:[
			/***レス通知の条件***/
			
			
			
			/*********このブロックの「{」から「},」までをコピーして、この行の上へ貼り付け
			{
				//対象スレッドタイトルの一部、あるいはURL
				//別途BBSのSaveThreadKeywordにもマッチしている必要有り
				//未指定で、Keywordのみ指定した場合は、ログを保存するスレ全て
				Thread:'',
				
				//レス中のキーワード
				Keyword:[],
				
				//下記の文字列を含むレスは無視
				IgnoreWord:[]
			},
			*********/
			
			
			{end:1}
		]
		
		
	},
	
	Trends:{
		//1001に達しているスレも集計対象にする
		ShowStopped:false
	},
	
	
	AutoWrite:[
		/*** 自動保守書き込み ***/
		
		
		
		/*********このブロックの「{」から「},」までをコピーして、この行の上へ貼り付け
		{
			//対象スレッドタイトルの一部、あるいはURL
			Thread:'',
			
			//この日数以上書き込みがなかった場合に書き込む
			Expire:30,
			
			//書き込む名前
			Name:'',
			
			//メール欄
			Mail:'sage',
			
			//本文
			Message:'保守'
		},
		*********/
		
		{end:1}
	],
	SurrogateRequest:{
		//依頼書き込みの名前(批判要望板ではfusianasan必須)
		Name:'fusianasan',
		
		//依頼のメール欄
		Mail:'sage',
		
		//依頼の本文の書式(通常は変更不要)
		Message:'【依頼に関してのコメントなど】よろしくお願いします\n'
				+'---------------------------------------------------------------------------\n'
				+'【*板名】%BBSName%\n'
				+'【*スレ名】%ThreadTitle%\n'
				+'【*スレのURL】%ThreadURL%\n'
				+'【名前欄】%Name%\n'
				+'【メール欄】%Mail%\n'
				+'【*本文：ここから下にコピペして欲しい本文を入れて下さい。この下から本文としてコピペします】\n'
				+'%Message%'
	},
	
	Surrogate:{
		//代行依頼スレを探す掲示板
		BBS:'accuse',
		
		//代行依頼スレのタイトル
		Thread:'ｱｸ禁になった人の為にﾚｽ代行するｽﾚ',
		
		//trueにすると代行依頼の通知機能を利用する
		NotifySurrogateRequest:false,
		
		//代行依頼スレに書き込むときの名前欄
		Name:'',
		
		//代行依頼スレに書き込むときのメール欄
		Mail:'sage',
		
		//重複防止のための実行前宣言の本文
		DeclarationMessage:'行きます'
	}
})